Bug 968124 - Mozilla malfunctions oddly during Washington Post web reader login scripts
Mozilla malfunctions oddly during Washington Post web reader login scripts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
19
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Horak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 23:07 EDT by Andrew Oliver
Modified: 2013-06-27 09:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 09:01:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The security error in detail I don't understand secure SSL well I'm just a C++ Games Programmer (2.79 MB, image/jpeg)
2013-06-03 06:54 EDT, Andrew Oliver
no flags Details

  None (edit)
Description Andrew Oliver 2013-05-28 23:07:55 EDT
Description of problem:

For reading Washington Post web access the login script malfunctions both on the HTML site and the newspapersdirect.com paid page image site  ...

Version-Release number of selected component (if applicable):

I believe:-  mozilla-filesystem-1.9-9.fc19.i686

How reproducible:

Have a Washington Post paid readers account, try to login.

Maybe this is a site that only likes Internet Explorer?

Steps to Reproduce:
1.  Got to http://www.washingtonpost.com
2.  Try to login, say to post a comment  ...
3.  Fails to login correctly  ...

Actual results:


Expected results:


Additional info:
Comment 1 Jan Horak 2013-05-29 10:39:09 EDT
Please try to login to WP by using upstream binaries from here: ftp://ftp.mozilla.org/pub/firefox/releases/21.0/

We need to know if this is Fedora or upstream specific issue. Thanks.
Comment 2 Andrew Oliver 2013-05-29 16:06:50 EDT
Today when I tried to login, get message:-


"This Connection is Untrusted
        
          You have asked Firefox to connect
securely to id.washingtonpost.com, but we can't confirm that your connection is secure.
          Normally, when you try to connect 

On my Windows 7 box, I don't get this message!
Comment 3 Jan Horak 2013-06-03 05:05:20 EDT
(In reply to Andrew Oliver from comment #2)
> Today when I tried to login, get message:-
> 
> 
> "This Connection is Untrusted
>         
>           You have asked Firefox to connect
> securely to id.washingtonpost.com, but we can't confirm that your connection
> is secure.
>           Normally, when you try to connect 
> 
> On my Windows 7 box, I don't get this message!

Please check Technical Details on this page.

For explanation of this message see:
https://support.mozilla.org/en-US/kb/connection-untrusted-error-message

About unable to login, check Tools/Web developer/Error console (or Ctrl-Shift-J) if any error occurs during log into website. Did you also tried upstream binaries or do you have difficulties with running it?
Comment 4 Andrew Oliver 2013-06-03 06:54:01 EDT
Created attachment 756237 [details]
The security error in detail I don't understand secure SSL well I'm just a C++ Games Programmer

For Jan Horek
Comment 5 Andrew Oliver 2013-06-03 06:58:30 EDT
I(In reply to Jan Horak from comment #3)
> (In reply to Andrew Oliver from comment #2)
> > Today when I tried to login, get message:-
> > 
> > 
> > "This Connection is Untrusted
> >         
> >           You have asked Firefox to connect
> > securely to id.washingtonpost.com, but we can't confirm that your connection
> > is secure.
> >           Normally, when you try to connect 
> > 
> > On my Windows 7 box, I don't get this message!
> 
> Please check Technical Details on this page.
> 
> For explanation of this message see:
> https://support.mozilla.org/en-US/kb/connection-untrusted-error-message
> 
> About unable to login, check Tools/Web developer/Error console (or
> Ctrl-Shift-J) if any error occurs during log into website. Did you also
> tried upstream binaries or do you have difficulties with running it?

See the JPEG of the security error details  ...  it won't let one scroll down for more detail of the LHS error message either.

I'm in Melbourne Australia and mozilla.org auto-connecte people who are overseas if one tries to download anything there, one of their security measures no doubt!  So I can't download upstream binaries, sorry!
Comment 6 Andrew Oliver 2013-06-03 07:12:05 EDT
id.washingtonpost.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate is not trusted.

(Error code: sec_error_untrusted_issuer)
ssl1.washingtonpost.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate is not trusted.

(Error code: sec_error_untrusted_issuer)
Comment 7 Jan Horak 2013-06-03 11:16:30 EDT
Oh I see, it is this case: https://support.mozilla.org/en-US/questions/954431 (page contais workaround). Problem is that id.washingtonpost.com page is loaded as iframe and overflowing content is cut.

However I'm not getting this error/warning on https://ssl.washingtonpost.com/actmgmt/registration/login/long
In this case it could be useful to get Technical Details to sort out what's the problem with certificate. To get it use right mouse button on This connection is untrusted, This frame/Show only this frame.
Comment 8 Andrew Oliver 2013-06-03 11:26:25 EDT
(In reply to Jan Horak from comment #7)
> Oh I see, it is this case:
> https://support.mozilla.org/en-US/questions/954431 (page contais
> workaround). Problem is that id.washingtonpost.com page is loaded as iframe
> and overflowing content is cut.
> 
> However I'm not getting this error/warning on
> https://ssl.washingtonpost.com/actmgmt/registration/login/long
> In this case it could be useful to get Technical Details to sort out what's
> the problem with certificate. To get it use right mouse button on This
> connection is untrusted, This frame/Show only this frame.

Thanks ever so much for your help with how-to-debug Mozilla so that I can read one of the top half dozen newspapers in the world  ...

The Technical Details are as follows:-

id.washingtonpost.com uses an invalid security certificate.

The certificate is not trusted because the issuer certificate is not trusted.

(Error code: sec_error_untrusted_issuer)
Comment 9 Andrew Oliver 2013-06-03 11:35:02 EDT
Yes, Jan Horak, your workaround works!!!!

Apologies for filing;  were I not so paranoid that it was broken  ...  ????
Comment 10 Jan Horak 2013-06-27 09:01:00 EDT
Okay, closing. Feel free to reopen if you have any related problems. Thanks.

Note You need to log in before you can comment on or make changes to this bug.